Package ru.bgcrm.plugin.bgbilling.proto.model.inet.version.v8x

# Class InetServiceType8x

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.plugin.bgbilling.proto.model.inet.InetServiceType
ru.bgcrm.plugin.bgbilling.proto.model.inet.version.v8x.InetServiceType8x

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class InetServiceType8x extends InetServiceType

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `InetServiceType8x.InetAddressType`

  ## Nested classes/interfaces inherited from class ru.bgcrm.plugin.bgbilling.proto.model.inet.InetServiceType

  `InetServiceType.InetAddressDescriptor`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.proto.model.inet.InetServiceType

  `ADDRESS_TYPE_DYNAMIC, ADDRESS_TYPE_DYNAMIC_OR_RANGE, ADDRESS_TYPE_DYNAMIC_OR_SINGLE, ADDRESS_TYPE_NET, ADDRESS_TYPE_NONE, ADDRESS_TYPE_NONE_OR_SINGLE, ADDRESS_TYPE_RANGE, ADDRESS_TYPE_SINGLE, SESSION_INITIATION_AUTO, SESSION_INITIATION_CALL`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServiceType8x()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAddressType()`
  `InetServiceType8x.InetAddressType`
  `getaddressType8X()`
  `void`
  `setaddressType8x(InetServiceType8x.InetAddressType addressType)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.model.inet.InetServiceType

  `getAddressDescriptor, getConfig, getDeviceGroupIds, getDeviceTypeIds, getParentTypeIds, getSessionCountLimit, getSessionInitiationType, getTrafficTypeLinkId, isAddressAllInterface, isIpFromParentRange, isNeedContractObject, isNeedDevice, isNeedIdentifier, isNeedInterface, isNeedLogin, isNeedMacAddress, isNeedRestriction, isNeedVlan, isPersonalInterface, isPersonalVlan, isSessionCountLimitLock, setAddressAllInterface, setAddressType, setConfig, setDeviceGroupIds, setDeviceTypeIds, setIpFromParentRange, setNeedContractObject, setNeedDevice, setNeedIdentifier, setNeedInterface, setNeedLogin, setNeedMacAddress, setNeedRestriction, setNeedVlan, setParentTypeIds, setPersonalInterface, setPersonalVlan, setSessionCountLimit, setSessionCountLimitLock, setSessionInitiationType, setTrafficTypeLinkId`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### InetServiceType8x

    public InetServiceType8x()

- ## Method Details

  - ### getAddressType

    public int getAddressType()
    Overrides:
      `getAddressType` in class `InetServiceType`

  - ### setaddressType8x

    public void setaddressType8x(InetServiceType8x.InetAddressType addressType)

  - ### getaddressType8X

    public InetServiceType8x.InetAddressType getaddressType8X()